Page MenuHomePhabricator

revlog: improve documentation of the entry tuple
ClosedPublic

Authored by marmoute on May 4 2021, 10:14 AM.

Details

Summary

The code in revlog, and outside revlog directly use the index's entry tuple,
with direct integer indexing. This is a voluntary trade off to obtains better
performance from the Python code at the expense of the developers sanity.

Let's at least have a clear and central documentation about what this tuple is
about.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.May 4 2021, 10:14 AM
baymax updated this revision to Diff 27882.May 11 2021, 1:45 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare added inline comments.
mercurial/revlog.py
292

I might take the liberty to fix the typos in flight. Thanks for the documentation!

Alphare accepted this revision.May 17 2021, 5:49 PM
This revision is now accepted and ready to land.May 17 2021, 5:49 PM
This revision was automatically updated to reflect the committed changes.